Skip to main content
POST
/
api
/
billing
/
checkout
Create Stripe Checkout session
curl --request POST \
  --url https://api.example.com/api/billing/checkout \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "plan_tier": "<string>",
  "success_url": "<string>",
  "cancel_url": "<string>",
  "billing_interval": "monthly"
}
'
{
  "checkout_url": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Request to create a Stripe Checkout session.

plan_tier
string
required
success_url
string
required
cancel_url
string
required
billing_interval
string
default:monthly

Response

Successful Response

Response with Stripe Checkout session URL.

checkout_url
string
required